Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. And see here for current known issues.

New Member

Unable to upgrade 2822 switch firmware

I have a 2822 switch that won't accept upgrades to 9.x Enterprise firmware (or anything close to it, Enterprise or not). It has 5.something on it and I can load that image as many times as I want to, but nothing newer.

It's not a memory limitation, as it has the same amount as my 1924F. That switch is running 9.x Enterprise firmware and I am able to load various versions into it with no problem.

Is there a hardware difference between 2822 versions, or a socketed PROM version that needs to be upgraded to make this work? Any leads appreciated!

1 REPLY
Bronze

Re: Unable to upgrade 2822 switch firmware

You may have a WS-C2822, which only supports 5.x firmware. The WS-C2822-A or WS-2822-EN model is required in order to upgrade to the 9.x firmware. http://www.cisco.com/univercd/cc/td/doc/product/lan/28201900/

86
Views
5
Helpful
1
Replies
CreatePlease login to create content